# Datacenter configuration
datacenter = "dc"
domain = "ego.io"
node_name = "gateway"

data_dir = "/consul/data"
log_level = "DEBUG"
enable_local_script_checks = true

server = false

ui_config {
   enabled = true
   content_path = "/registry"
   dashboard_url_templates {
     service = "https://grafana.example.com/d/lDlaj-NGz/service-overview?orgId=1&var-service={{Service.Name}}&var-namespace={{Service.Namespace}}&var-partition={{Service.Partition}}&var-dc={{Datacenter}}"
   }
}

#bind_addr = "{{ GetPrivateInterfaces | include \"network\" \"10.0.1.0/24\" | attr \"address\" }}"
bind_addr = "{{ GetInterfaceIP \"eth0\" }}"
client_addr = "0.0.0.0"

ports {
  dns = -1
  http = -1
  https = 8501
  grpc_tls = 8503
}

dns_config {
  service_ttl {
    "*" = "20s"
  }
  node_ttl = "0s"
}

# Connect settings
connect {
   enabled = true
}

# TLS Encryption configuration
tls {
   defaults {
      ca_file = "/usr/share/pki/ca-trust-source/anchors/internalCA.crt"
      cert_file = "/etc/certs/gateway.crt"
      key_file = "/etc/certs/gateway.key"

      #verify_server_hostname = true
      #verify_incoming        = true
      #verify_outgoing        = true
      verify_server_hostname = false
      verify_incoming        = false
      verify_outgoing        = false
   }
}

#auto_encrypt {
#  allow_tls = true
#}

# ACL configuration
# After startup, bootstrap the ACL system with `consul acl bootstrap` command
acl = {
  enabled = true
  default_policy = "deny"
  enable_token_persistence = true
  tokens {
    default = "784746ec-0d5d-fb12-1a79-95f912dcaabd"
    initial_management = "784746ec-0d5d-fb12-1a79-95f912dcaabd"
  }
}

# Gossip Encryption
encrypt = "tRgXSb6ClvzV1myhc75rWIdwx8tTmUI8UxySKecxiQA="

# Services
services {
  name = "catalog"
  port = 443
  connect {
    sidecar_service {
      proxy {
        upstreams {
          destination_name = "echo"
          local_bind_port = 9191
        }
      }
    }
  }
}
services {
  name = "echo"
  port = 9999
  connect {
    sidecar_proxy {
      proxy {
        local_service_address = "192.168.0.111"
      }
    }
  }
}
