# Datacenter configuration
datacenter = "dc"
domain = "ego.io"
node_name = "registry"

data_dir = "/consul/data"
log_level = "DEBUG"
enable_local_script_checks = true

# Server configuration
server = true
bootstrap = true
bootstrap_expect = 1

ui_config {
   enabled = true
   content_path = "/registry"
   dashboard_url_templates {
     service = "https://grafana.example.com/d/lDlaj-NGz/service-overview?orgId=1&var-service={{Service.Name}}&var-namespace={{Service.Namespace}}&var-partition={{Service.Partition}}&var-dc={{Datacenter}}"
   }
}

#bind_addr = "{{ GetPrivateInterfaces | include \"network\" \"10.0.1.0/24\" | attr \"address\" }}"
bind_addr = "{{ GetInterfaceIP \"eth0\" }}"
client_addr = "0.0.0.0"

ports {
  dns = 53
  #server = 8300
  http = -1
  https = 8501
  grpc_tls = 8503
}

dns_config {
  service_ttl {
    "*" = "20s"
  }
  node_ttl = "0s"
}

# Connect settings
connect {
   enabled = true

   #ca_provider = "consul"
   #ca_config {
   #   leaf_cert_ttl = "72h"
   #   private_key = "-----BEGIN PRIVATE KEY-----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\nW8GDkpznvE6iIwlcMxTJvwk7JkkSAQ==\n-----END PRIVATE KEY-----\n"
   #   root_cert = "-----BEGIN CERTIFICATE-----\nMIIFoTCCA4mgAwIBAgIUWcgQmuod9ZoO/PdOvL485tiTV10wDQYJKoZIhvcNAQEL\nBQAwYDELMAkGA1UEBhMCUEwxDjAMBgNVBAgMBVNsYXNrMRAwDgYDVQQHDAdHbGl3\naWNlMRgwFgYDVQQKDA9FZ29tbWVyY2UuaW8gQ0ExFTATBgNVBAMMDGVnb21tZXJj\nZS5pbzAeFw0yNDA3MjAxMjUzNDVaFw0zNDA3MTgxMjUzNDVaMGAxCzAJBgNVBAYT\nAlBMMQ4wDAYDVQQIDAVTbGFzazEQMA4GA1UEBwwHR2xpd2ljZTEYMBYGA1UECgwP\nRWdvbW1lcmNlLmlvIENBMRUwEwYDVQQDDAxlZ29tbWVyY2UuaW8wggIiMA0GCSqG\nSIb3DQEBAQUAA4ICDwAwggIKAoICAQDHQTuRb+EPGlTXaRNf8cFrjz5hZiXkHX4O\nxW1CHK/N4SJdRZLVQJ8DvC460GgsKawgRvrIAmkSsDjCUAU7erx4XM/q6bLAOQ3w\n85pJ4SclOg2EhnVWR3Dgej2l4MqwioIkTeMnAdYXJXJqQWYNH2UP6dJa5c5YUxXW\nh+RVy7i4y3II5Y7vbP7vey7A8MwuhLNC5oHygLjHhPtpvBO0PAZrG9QFbB3nL/V3\ngZAZIVXXBg9HivUD5EW664KHJXxstj+ryh8sLg+VL+nv+6A7CpjMYav0/7+Kje6y\ns1sI8ZYcydIpnN6bS39fyDPjpGJu+AE8o8S6CZ9NgbWtTTdGrTcXhqS0gJRihRlp\n7Ybt+ubHC8MJtozqJDma+TdNQEWqnb7Pu/0a9sETJxQanutqUWucgl/8QTZA4krA\nfgtI8fD2HuiXtM8Jg1pE9fnQFOL4GyIqkl/lvQEFb2zEIt6KCwDlDGJfqKTKqSDX\n1GC+b/8Ge5cLoRWyOtGNtxh6vTA+NYQ2f317KhtpNpttkvFPXuM6mvhv+r1umylg\nbx5+ch0vV7maWdFvA8dYRw+UKkVDgZ5gJGpmOU0+1YuBt6Kjn4pb0xQ1e9EowQhZ\n4xjiISRLW+y5XziWVmwRE/JIRwW/g1yZUme9WhHiyljud+VIZ86B3U3Ch0JUPvIT\nK7Q2buE9qwIDAQABo1MwUTAdBgNVHQ4EFgQUCfODB1LPdNYVDc61nNZ9HrpFOAsw\nHwYDVR0jBBgwFoAUCfODB1LPdNYVDc61nNZ9HrpFOAswDwYDVR0TAQH/BAUwAwEB\n/zANBgkqhkiG9w0BAQsFAAOCAgEAtbv6F7EKV4SShPV54A62vY+t5W7USK1mRSuE\n+R/eO6LsNTkw7Xz4EyNb1KtZRlXjI0+B1vPc2t8qJIe6Kkx5+YPDM47HfipHZvsZ\nD3IWEHNiVo/xvEQnfFKu4kHMoi6glw/2/FeOYcklhzf2HGBqP8ZJZX9852vvD6ai\n7Q79DvvQAF95c6HVAbK+9hZ2KZbrUA/G8hFH8oC9/Au1bUEL9DMFj7IieKO10PNW\n8ZEaVWpg+cx3B913hfnmjRrchioGpsS9au3cZjKLbKa+zedOd2pK1TiVUAVgHUcr\nc893OpUg7nEONHrjzlroMmNHDaqA//Kg2lKMc2xHU06pEIIcCGGD4fAV2nXwn/9g\nl4XK5iBaQt5HIDNl7o+5AbxFQBptv91yLEzxtF3l51CUyh7/yOeJAoL9aKxlWAFh\nTO315Ouy2syTSBAs1Mj3U7KsvrWkRk5QJ3RaSEWf/l1LOgnthd4j6FEOVlB+Qe0U\nlvEIkHMftRKyp54hKABchJGjjsQmxY2Qyegw75mYdqaN0V1mz0dzAW8Bg/6U+i/L\n9bdsTC6WHiFV2InAogpXQRaDBvZXhGDujKR49+oBkLId/jmOpIU/crvdD767W7Fx\nqXz/PGpXoKtPK4tNVhjoBfYhKXTFI47AoplrqhkqbC/gfEEi0ny0DsTOx6r+aTRf\nFFw/JXM=\n-----END CERTIFICATE-----\n"
   #}
   ca_provider = "vault"
   ca_config {
      address = "https://api-vault:8200"
      #token = "hvs.CAESICxuTO_JieCbpMoZ4_qOPIohxSKim_4V8t11JLg93RtKGh4KHGh2cy5VUUFqUm5CdTQ3V3hMQ3BHSDB4dThNZHE"
      token = "hvs.s6d6dyijMAyJ6b0WQYdjadZG"
      root_pki_path = "pki/"
      intermediate_pki_path = "pki_int/"
   }
}

# TLS Encryption configuration
tls {
   defaults {
      ca_file = "/usr/share/pki/ca-trust-source/anchors/internalCA.crt"
      cert_file = "/etc/certs/registry.crt"
      key_file = "/etc/certs/registry.key"

      #verify_server_hostname = true
      #verify_incoming        = true
      #verify_outgoing        = true
      verify_server_hostname = false
      verify_incoming        = false
      verify_outgoing        = false
   }
}

auto_encrypt {
  allow_tls = true
}

# ACL configuration
# After startup, bootstrap the ACL system with `consul acl bootstrap` command
acl = {
  enabled = true
  default_policy = "deny"
  enable_token_persistence = true
  tokens {
    default = "784746ec-0d5d-fb12-1a79-95f912dcaabd"
    initial_management = "784746ec-0d5d-fb12-1a79-95f912dcaabd"
  }
}

# Gossip Encryption
encrypt = "tRgXSb6ClvzV1myhc75rWIdwx8tTmUI8UxySKecxiQA="

